curl --request GET \
--url https://api.unibee.dev/merchant/payment/timeline/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.unibee.dev/merchant/payment/timeline/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unibee.dev/merchant/payment/timeline/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"paymentTimeLines": [
{
"autoCharge": true,
"createTime": 123,
"currency": "<string>",
"externalTransactionId": "<string>",
"failureReason": "<string>",
"fullRefund": 123,
"gatewayId": 123,
"id": 123,
"invoiceId": "<string>",
"merchantId": 123,
"payment": {
"action": {},
"authorizeComment": "<string>",
"authorizeReason": "<string>",
"authorizeStatus": 123,
"autoCharge": true,
"automatic": 123,
"balanceAmount": 123,
"billingReason": "<string>",
"cancelTime": 123,
"countryCode": "<string>",
"createTime": 123,
"cryptoAmount": 123,
"cryptoCurrency": "<string>",
"currency": "<string>",
"externalPaymentId": "<string>",
"failureReason": "<string>",
"gasPayer": "<string>",
"gatewayCurrencyExchange": {
"exchange_amount": 123,
"exchange_rate": 123,
"from_currency": "<string>",
"to_currency": "<string>"
},
"gatewayId": 123,
"gatewayPaymentId": "<string>",
"gatewayPaymentType": "<string>",
"invoiceId": "<string>",
"lastError": "<string>",
"link": "<string>",
"merchantId": 123,
"metadata": {},
"paidTime": 123,
"paymentAmount": 123,
"paymentId": "<string>",
"refundAmount": 123,
"returnUrl": "<string>",
"splitSequence": 123,
"status": 123,
"subscriptionId": "<string>",
"totalAmount": 123,
"userId": 123
},
"paymentId": "<string>",
"planSnapshot": {
"addons": [
{
"addonPlan": {
"amount": 123,
"autoChargeConfig": {
"autoChargeLeadTime": 123,
"autoChargeMaxRetryCount": 123,
"autoChargeRetryInterval": 123,
"incompleteExpireTime": 123
},
"autoUpgradePlanId": 123,
"bindingAddonIds": "<string>",
"bindingOnetimeAddonIds": "<string>",
"cancelAtTrialEnd": 123,
"checkoutTemplateId": 123,
"checkoutUrl": "<string>",
"compareAtAmount": 123,
"createTime": 123,
"currency": "<string>",
"description": "<string>",
"disableAutoCharge": 123,
"externalPlanId": "<string>",
"extraMetricData": "<string>",
"gasPayer": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"internalName": "<string>",
"intervalCount": 123,
"intervalUnit": "<string>",
"merchantId": 123,
"metadata": {},
"metricLimits": [
{
"metricId": 123,
"metricLimit": 123
}
],
"metricMeteredCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"metricRecurringCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"multiCurrencies": [
{
"amount": 123,
"autoExchange": true,
"currency": "<string>",
"disable": true,
"exchangeRate": 123,
"fixedAmount": 123
}
],
"multiTrials": [
{
"intervalCount": 123,
"intervalUnit": "<string>",
"metadata": {},
"name": "<string>",
"trialCompareAtPrice": 123,
"trialDuration": 123,
"trialPrice": 123
}
],
"planName": "<string>",
"productId": 123,
"publishStatus": 123,
"status": 123,
"taxPercentage": 123,
"trialAmount": 123,
"trialDemand": "<string>",
"trialDurationTime": 123,
"type": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
},
"quantity": 123
}
],
"autoCharge": true,
"chargeType": 123,
"multiCurrencySnapshot": {
"chargeCurrency": "<string>",
"rates": [
{
"from": "<string>",
"rate": 123,
"to": "<string>"
}
]
},
"plan": {
"amount": 123,
"autoChargeConfig": {
"autoChargeLeadTime": 123,
"autoChargeMaxRetryCount": 123,
"autoChargeRetryInterval": 123,
"incompleteExpireTime": 123
},
"autoUpgradePlanId": 123,
"bindingAddonIds": "<string>",
"bindingOnetimeAddonIds": "<string>",
"cancelAtTrialEnd": 123,
"checkoutTemplateId": 123,
"checkoutUrl": "<string>",
"compareAtAmount": 123,
"createTime": 123,
"currency": "<string>",
"description": "<string>",
"disableAutoCharge": 123,
"externalPlanId": "<string>",
"extraMetricData": "<string>",
"gasPayer": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"internalName": "<string>",
"intervalCount": 123,
"intervalUnit": "<string>",
"merchantId": 123,
"metadata": {},
"metricLimits": [
{
"metricId": 123,
"metricLimit": 123
}
],
"metricMeteredCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"metricRecurringCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"multiCurrencies": [
{
"amount": 123,
"autoExchange": true,
"currency": "<string>",
"disable": true,
"exchangeRate": 123,
"fixedAmount": 123
}
],
"multiTrials": [
{
"intervalCount": 123,
"intervalUnit": "<string>",
"metadata": {},
"name": "<string>",
"trialCompareAtPrice": 123,
"trialDuration": 123,
"trialPrice": 123
}
],
"planName": "<string>",
"productId": 123,
"publishStatus": 123,
"status": 123,
"taxPercentage": 123,
"trialAmount": 123,
"trialDemand": "<string>",
"trialDurationTime": 123,
"type": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
},
"previousAddons": [
{
"addonPlan": {
"amount": 123,
"autoChargeConfig": {
"autoChargeLeadTime": 123,
"autoChargeMaxRetryCount": 123,
"autoChargeRetryInterval": 123,
"incompleteExpireTime": 123
},
"autoUpgradePlanId": 123,
"bindingAddonIds": "<string>",
"bindingOnetimeAddonIds": "<string>",
"cancelAtTrialEnd": 123,
"checkoutTemplateId": 123,
"checkoutUrl": "<string>",
"compareAtAmount": 123,
"createTime": 123,
"currency": "<string>",
"description": "<string>",
"disableAutoCharge": 123,
"externalPlanId": "<string>",
"extraMetricData": "<string>",
"gasPayer": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"internalName": "<string>",
"intervalCount": 123,
"intervalUnit": "<string>",
"merchantId": 123,
"metadata": {},
"metricLimits": [
{
"metricId": 123,
"metricLimit": 123
}
],
"metricMeteredCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"metricRecurringCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"multiCurrencies": [
{
"amount": 123,
"autoExchange": true,
"currency": "<string>",
"disable": true,
"exchangeRate": 123,
"fixedAmount": 123
}
],
"multiTrials": [
{
"intervalCount": 123,
"intervalUnit": "<string>",
"metadata": {},
"name": "<string>",
"trialCompareAtPrice": 123,
"trialDuration": 123,
"trialPrice": 123
}
],
"planName": "<string>",
"productId": 123,
"publishStatus": 123,
"status": 123,
"taxPercentage": 123,
"trialAmount": 123,
"trialDemand": "<string>",
"trialDurationTime": 123,
"type": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
},
"quantity": 123
}
],
"previousPlan": {
"amount": 123,
"autoChargeConfig": {
"autoChargeLeadTime": 123,
"autoChargeMaxRetryCount": 123,
"autoChargeRetryInterval": 123,
"incompleteExpireTime": 123
},
"autoUpgradePlanId": 123,
"bindingAddonIds": "<string>",
"bindingOnetimeAddonIds": "<string>",
"cancelAtTrialEnd": 123,
"checkoutTemplateId": 123,
"checkoutUrl": "<string>",
"compareAtAmount": 123,
"createTime": 123,
"currency": "<string>",
"description": "<string>",
"disableAutoCharge": 123,
"externalPlanId": "<string>",
"extraMetricData": "<string>",
"gasPayer": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"internalName": "<string>",
"intervalCount": 123,
"intervalUnit": "<string>",
"merchantId": 123,
"metadata": {},
"metricLimits": [
{
"metricId": 123,
"metricLimit": 123
}
],
"metricMeteredCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"metricRecurringCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"multiCurrencies": [
{
"amount": 123,
"autoExchange": true,
"currency": "<string>",
"disable": true,
"exchangeRate": 123,
"fixedAmount": 123
}
],
"multiTrials": [
{
"intervalCount": 123,
"intervalUnit": "<string>",
"metadata": {},
"name": "<string>",
"trialCompareAtPrice": 123,
"trialDuration": 123,
"trialPrice": 123
}
],
"planName": "<string>",
"productId": 123,
"publishStatus": 123,
"status": 123,
"taxPercentage": 123,
"trialAmount": 123,
"trialDemand": "<string>",
"trialDurationTime": 123,
"type": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
}
},
"refund": {
"adminMemberId": 123,
"countryCode": "<string>",
"createTime": 123,
"currency": "<string>",
"externalRefundId": "<string>",
"gatewayCurrencyExchange": {
"exchange_amount": 123,
"exchange_rate": 123,
"from_currency": "<string>",
"to_currency": "<string>"
},
"gatewayId": 123,
"gatewayRefundId": "<string>",
"invoiceId": "<string>",
"merchantId": 123,
"metadata": {},
"paymentId": "<string>",
"refundAmount": 123,
"refundComment": "<string>",
"refundCommentExplain": "<string>",
"refundId": "<string>",
"refundTime": 123,
"returnUrl": "<string>",
"status": 123,
"subscriptionId": "<string>",
"type": 123,
"userId": 123
},
"refundId": "<string>",
"status": 123,
"subscriptionId": "<string>",
"timelineType": 123,
"totalAmount": 123,
"transactionId": "<string>",
"userId": 123
}
],
"total": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Get Payment TimeLine List
Endpoint Overview
GEThttps://api.unibee.dev/merchant/payment/timeline/list
Get Payment TimeLine List
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
userId | integer | No | Filter UserId, Default All |
amountStart | integer | No | The filter start amount of timeline |
amountEnd | integer | No | The filter end amount of timeline |
searchKey | string | No | Search SubscriptionId|InvoiceId|PaymentId|UserId |
status | array | No | The filter status, 0-pending, 1-success, 2-failure,3-cancel |
timelineTypes | array | No | The filter timelineType, 0-pay, 1-refund |
gatewayIds | array | No | The filter ids of gateway |
currency | string | No | Currency |
sortField | string | No | Sort,invoice_id|gmt_create|gmt_modify|period_end|total_amount,Default gmt_modify |
sortType | string | No | Sort Type,asc|desc,Default desc |
page | integer | No | Page,Start 0 |
count | integer | No | Count Of Page |
createTimeStart | integer | No | CreateTimeStart,UTC timestamp,seconds |
createTimeEnd | integer | No | CreateTimeEnd,UTC timestamp,seconds |
Request examples
cURL
curl -X GET "https://api.unibee.dev/merchant/payment/timeline/list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Sandbox
curl -X GET "https://api-sandbox.unibee.top/merchant/payment/timeline/list" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json"
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.paymentTimeLines | array | Payment TimeLine Object List |
data.total | integer | Total |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter UserId, Default All
The filter start amount of timeline
The filter end amount of timeline
Search SubscriptionId|InvoiceId|PaymentId|UserId
The filter status, 0-pending, 1-success, 2-failure,3-cancel
The filter timelineType, 0-pay, 1-refund
The filter ids of gateway
Currency
Sort,invoice_id|gmt_create|gmt_modify|period_end|total_amount,Default gmt_modify
Sort Type,asc|desc,Default desc
Page,Start 0
Count Of Page
CreateTimeStart,UTC timestamp,seconds
CreateTimeEnd,UTC timestamp,seconds
Filter timelines whose invoice includes any of these plan IDs (OR)
Filter by plan tags. Omit or empty tagIds = no tag filter. When planIds is also set, results use union OR.
Show child attributes
Show child attributes
Filter by whether invoice discount_code is set
Filter by exact invoice discount code (case-insensitive)

